package at.ac.uibk.gitsearch.service.dto;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
 * A DTO for the {@link at.ac.uibk.gitsearch.domain.SavedSearches} entity.
 */
public class SavedSearchesDTO implements Serializable {
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 2832300167164526635L;

	private Long id;

    @NotNull
    @Size(min = 1)
    private String name;

    @NotNull
    private String jsonQuery;


    private Long userId;

    private String userLogin;
    
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getJsonQuery() {
        return jsonQuery;
    }

    public void setJsonQuery(String jsonQuery) {
        this.jsonQuery = jsonQuery;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserLogin() {
        return userLogin;
    }

    public void setUserIdLogin(String userLogin) {
        this.userLogin = userLogin;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof SavedSearchesDTO)) {
            return false;
        }

        return id != null && id.equals(((SavedSearchesDTO) o).id);
    }

    @Override
    public int hashCode() {
        return 31;
    }

    // prettier-ignore
    @Override
    public String toString() {
        return "SavedSearchesDTO{" +
            "id=" + getId() +
            ", name='" + getName() + "'" +
            ", jsonQuery='" + getJsonQuery() + "'" +
            ", userIdId=" + getUserId() +
            ", userIdLogin='" + getUserLogin() + "'" +
            "}";
    }
}
